<template>
    <div class="player-hp-bar">
        <v-progress-linear
            background-color="red"
            color="green"
            height="10"
            :value="value"
            striped
            rounded
        ></v-progress-linear>
    </div>
</template>

<script>

export default {
    // components: {
    // },
    mounted(){
        // setInterval(()=>{
        //     this.value-=8;
        // },1000);
        //console.log('должен вставить игру!!!!');
    },
    beforeDestroy(){
       
    },
    data: () => ({
        // p:0,
        //value:100
    }),
    computed:{
        // time(){
        //     return this.$store.getters['game/getTimerCdGun'];
        //     //return this.$store.state.game.timer_cd_gun;
        // },
        value(){return this.$store.getters['game/getPercentPlayerHp']}
    },
    
    methods:{
        
    }
};
</script>

<style scoped>
    .player-hp-bar{
        min-width: 125px;
        min-height: 10px;
        position: absolute;
        top:20px;
        left:20px;
    }

</style>